org.apache.hadoop.yarn.server.federation.policies.manager

## Class RejectAllPolicyManager

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.policies.manager.AbstractPolicyManager
  - - org.apache.hadoop.yarn.server.federation.policies.manager.RejectAllPolicyManager

- All Implemented Interfaces:
    FederationPolicyManager

      public class RejectAllPolicyManager
      extends AbstractPolicyManager

  This class represents a simple implementation of a `FederationPolicyManager`. This policy rejects all reuqests for both router and amrmproxy routing. This is to be used to prevent applications in a specific queue (or if used as default for non-configured queues) from accessing cluster resources.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.server.federation.policies.manager.AbstractPolicyManager

      `amrmProxyFederationPolicy, LOG, routerFederationPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RejectAllPolicyManager()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.yarn.server.federation.policies.manager.AbstractPolicyManager

      `getAMRMPolicy, getQueue, getRouterPolicy, serializeConf, setQueue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RejectAllPolicyManager

          public RejectAllPolicyManager()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.